# Class TableShowArchivedSlideComponent

#### Implements

- AfterViewInit

- Defined in packages/angular/material/table-system/src/lib/table-column-menu/table-show-archived-slide/table-show-archived-slide.component.ts:26

#####
Index

### Constructors

constructor

### Properties

paginator?

### Methods

ngAfterViewInit
onChange

##
Constructors

### constructor

- new TableShowArchivedSlideComponent(
  tableFilter: null | TableFilterService,
  tableColumnMenu: TableColumnMenuComponent,
  selectRows: null | SelectRowService<unknown>,
  ): TableShowArchivedSlideComponent

  #### Parameters

  - tableFilter: null | TableFilterService
  - tableColumnMenu: TableColumnMenuComponent
  - selectRows: null | SelectRowService<unknown>

  #### Returns TableShowArchivedSlideComponent

  - Defined in packages/angular/material/table-system/src/lib/table-column-menu/table-show-archived-slide/table-show-archived-slide.component.ts:31

##
Properties

### `Optional` paginator

paginator?: MatPaginator

- Defined in packages/angular/material/table-system/src/lib/table-column-menu/table-show-archived-slide/table-show-archived-slide.component.ts:29

##
Methods

### ngAfterViewInit

- ngAfterViewInit(): void

  A callback method that is invoked immediately after Angular has completed initialization of a component's view. It is invoked only once when the view is instantiated.

  #### Returns void

  Implementation of AfterViewInit.ngAfterViewInit

  - Defined in packages/angular/material/table-system/src/lib/table-column-menu/table-show-archived-slide/table-show-archived-slide.component.ts:61

### onChange

- onChange($event: MatSlideToggleChange): void

  #### Parameters

  - $event: MatSlideToggleChange

  #### Returns void

  - Defined in packages/angular/material/table-system/src/lib/table-column-menu/table-show-archived-slide/table-show-archived-slide.component.ts:42